##
##  autoconf.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   version numbers
%define       V_latest 2.57
%define       V_old    2.13

#   package information
Name:         autoconf
Summary:      GNU Source Autoconfiguration
URL:          http://www.gnu.org/software/autoconf/
Vendor:       Free Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [CORE]
Group:        Development
License:      GPL
Version:      %{V_latest}
Release:      20021204

#   list of sources
Source1:      ftp://ftp.gnu.org/gnu/autoconf/autoconf-%{V_latest}.tar.gz
Source0:      ftp://ftp.gnu.org/gnu/autoconf/autoconf-%{V_old}.tar.gz
Patch0:       autoconf-%{V_old}.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, m4, perl, make
PreReq:       OpenPKG, openpkg >= 20020206, m4, perl
AutoReq:      no
AutoReqProv:  no

%description
    Autoconf is an extensible package of m4 macros that produce
    shell scripts to automatically configure software source code
    packages.  These scripts can adapt the packages to many kinds of
    UNIX-like systems without manual user intervention.  Autoconf
    creates a configuration script for a package from a template
    file that lists the operating system features that the package
    can use, in the form of m4 macro calls.

%prep
    %setup0 -q -c -n autoconf-%{V_latest}
    %setup1 -q -T -D -a 1
    cd autoconf-%{V_old}
    %{l_patch} -p0 <%{SOURCE autoconf-%{V_old}.patch}

%build
    ( cd autoconf-%{V_old}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix} \
          --program-suffix=-old
      %{l_shtool} subst \
          -e 's;\(acdatadir = $(datadir)/autoconf\);\1/old;' \
          Makefile
      %{l_make} %{l_mflags}
    )
    ( cd autoconf-%{V_latest}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix}
      %{l_make} %{l_mflags}
    )

%install
    rm -rf $RPM_BUILD_ROOT
    ( cd autoconf-%{V_old}
      %{l_make} %{l_mflags} install \
          prefix=$RPM_BUILD_ROOT%{l_prefix}
      mv $RPM_BUILD_ROOT%{l_prefix}/info/autoconf.info \
         $RPM_BUILD_ROOT%{l_prefix}/info/autoconf-old.info
    )
    ( cd autoconf-%{V_latest}
      %{l_make} %{l_mflags} install \
          prefix=$RPM_BUILD_ROOT%{l_prefix}
    )
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

